

<!doctype html>
<!--[if lt IE 7]>   <html class="no-js ie6 lt-ie7 lt-ie8 lt-ie9">   <![endif]-->
<!--[if IE 7]>      <html class="no-js ie7 lt-ie8 lt-ie9">          <![endif]-->
<!--[if IE 8]>      <html class="no-js ie8 lt-ie9">                 <![endif]-->
<!--[if gt IE 8]><!--><html class="no-js" lang="en" dir="ltr">  <!--<![endif]-->

<head>
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-TF35YF9CVH"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());
      gtag('config', 'G-TF35YF9CVH');
    </script>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <link rel="prefetch" href="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js">
    <link rel="prefetch" href="//ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js">

    <meta name="application-name" content="Python.org">
    <meta name="msapplication-tooltip" content="The official home of the Python Programming Language">
    <meta name="apple-mobile-web-app-title" content="Python.org">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="HandheldFriendly" content="True">
    <meta name="format-detection" content="telephone=no">
    <meta http-equiv="cleartype" content="on">
    <meta http-equiv="imagetoolbar" content="false">

    <script async
            src="https://media.ethicalads.io/media/client/v1.4.0/ethicalads.min.js"
            integrity="sha256-U3hKDidudIaxBDEzwGJApJgPEf2mWk6cfMWghrAa6i0= sha384-UcmsCqcNRSLW/dV3Lo1oCi2/VaurXbib6p4HyUEOeIa/4OpsrnucrugAefzVZJfI sha512-q4t1L4xEjGV2R4hzqCa41P8jrgFUS8xTb8rdNv4FGvw7FpydVj/kkxBJHOiaoxHa8olCcx1Slk9K+3sNbsM4ug=="
            crossorigin="anonymous"
    ></script>
    <script src="/static/js/libs/modernizr.js"></script>

    <link href="/static/stylesheets/style.1c0f356ef3c7.css" rel="stylesheet" type="text/css" media="all" title="default" />
    <link href="/static/stylesheets/mq.f9187444a4a1.css" rel="stylesheet" type="text/css" media="not print, braille, embossed, speech, tty" />
    <link href="/static/stylesheets/no-mq.bf0c425cdb73.css" rel="stylesheet" type="text/css" media="screen" />
    

    <!--[if (lte IE 8)&(!IEMobile)]>
    <link href="/static/stylesheets/no-mq.bf0c425cdb73.css" rel="stylesheet" type="text/css" media="screen" />
    
    
    <![endif]-->
    <link rel="stylesheet" href="//ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">

    
    <link rel="icon" type="image/x-icon" href="/static/favicon.ico">
    <link rel="apple-touch-icon-precomposed" sizes="144x144" href="/static/apple-touch-icon-144x144-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="/static/apple-touch-icon-114x114-precomposed.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="/static/apple-touch-icon-72x72-precomposed.png">
    <link rel="apple-touch-icon-precomposed" href="/static/apple-touch-icon-precomposed.png">
    <link rel="apple-touch-icon" href="/static/apple-touch-icon-precomposed.png">

    
    <meta name="msapplication-TileImage" content="/static/metro-icon-144x144-precomposed.png"><!-- white shape -->
    <meta name="msapplication-TileColor" content="#3673a5"><!-- python blue -->
    <meta name="msapplication-navbutton-color" content="#3673a5">

    <title>Python Software Foundation</title>

    <meta name="description" content="The official home of the Python Programming Language">
    <meta name="keywords" content="Python programming language object oriented web free open source software license documentation download community">

    
    <meta property="og:type" content="website">
    <meta property="og:site_name" content="Python.org">
    <meta property="og:title" content="Welcome to Python.org">
    <meta property="og:description" content="The official home of the Python Programming Language">
    
    <meta property="og:image" content="https://www.python.org/static/opengraph-icon-200x200.png">
    <meta property="og:image:secure_url" content="https://www.python.org/static/opengraph-icon-200x200.png">
    
    <meta property="og:url" content="https://www.python.org/psf-landing/">

    <link rel="author" href="/humans.txt">

    <link rel="alternate" type="application/rss+xml" title="Python Enhancement Proposals"
          href="https://peps.python.org/peps.rss">
    <link rel="alternate" type="application/rss+xml" title="Python Job Opportunities"
          href="https://www.python.org/jobs/feed/rss/">
    <link rel="alternate" type="application/rss+xml" title="Python Software Foundation News"
          href="https://feeds.feedburner.com/PythonSoftwareFoundationNews">
    <link rel="alternate" type="application/rss+xml" title="Python Insider"
          href="https://feeds.feedburner.com/PythonInsider">

    

    
    <script type="application/ld+json">
     {
       "@context": "https://schema.org",
       "@type": "WebSite",
       "url": "https://www.python.org/",
       "potentialAction": {
         "@type": "SearchAction",
         "target": "https://www.python.org/search/?q={search_term_string}",
         "query-input": "required name=search_term_string"
       }
     }
    </script>

    
    <script type="text/javascript">
    var _gaq = _gaq || [];
    _gaq.push(['_setAccount', 'UA-39055973-1']);
    _gaq.push(['_trackPageview']);

    (function() {
        var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
        ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
        var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
    })();
    </script>
    
</head>

<body class="psf">

    <div id="touchnav-wrapper">

        <div id="nojs" class="do-not-print">
            <p><strong>Notice:</strong> While JavaScript is not essential for this website, your interaction with the content will be limited. Please turn JavaScript on for the full experience. </p>
        </div>

        <!--[if lte IE 8]>
        <div id="oldie-warning" class="do-not-print">
            <p>
                <strong>Notice:</strong> Your browser is <em>ancient</em>. Please
                <a href="http://browsehappy.com/">upgrade to a different browser</a> to experience a better web.
            </p>
        </div>
        <![endif]-->

        <!-- Sister Site Links -->
        <div id="top" class="top-bar do-not-print">

            <nav class="meta-navigation container" role="navigation">

                
                <div class="skip-link screen-reader-text">
                    <a href="#content" title="Skip to content">Skip to content</a>
                </div>

                
                <a id="close-python-network" class="jump-link" href="#python-network" aria-hidden="true">
                    <span aria-hidden="true" class="icon-arrow-down"><span>&#9660;</span></span> Close
                </a>

                

<ul class="menu" role="tree">
    
    <li class="python-meta ">
        <a href="/" title="The Python Programming Language" >Python</a>
    </li>
    
    <li class="psf-meta ">
        <a href="https://www.python.org/psf/" title="The Python Software Foundation" >PSF</a>
    </li>
    
    <li class="docs-meta ">
        <a href="https://docs.python.org" title="Python Documentation" >Docs</a>
    </li>
    
    <li class="pypi-meta ">
        <a href="https://pypi.org/" title="Python Package Index" >PyPI</a>
    </li>
    
    <li class="jobs-meta ">
        <a href="/jobs/" title="Python Job Board" >Jobs</a>
    </li>
    
    <li class="shop-meta ">
        <a href="/community-landing/"  >Community</a>
    </li>
    
</ul>


                <a id="python-network" class="jump-link" href="#top" aria-hidden="true">
                    <span aria-hidden="true" class="icon-arrow-up"><span>&#9650;</span></span> The Python Network
                </a>

            </nav>

        </div>

        <!-- Header elements -->
        <header class="main-header" role="banner">
            <div class="container">

                <h1 class="site-headline">
                    <a href="/psf-landing/"><img class="psf-logo" src="/static/img/psf-logo.png" alt="Python Software Foundation"></a>
                </h1>

                <div class="options-bar-container do-not-print">
                    <a href="https://psfmember.org/civicrm/contribute/transact?reset=1&id=2" class="donate-button">Donate</a>
                    <div class="options-bar">
                        
                        <a id="site-map-link" class="jump-to-menu" href="#site-map"><span class="menu-icon">&equiv;</span> Menu</a><form class="search-the-site" action="/search/" method="get">
                            <fieldset title="Search Python.org">

                                <span aria-hidden="true" class="icon-search"></span>

                                <label class="screen-reader-text" for="id-search-field">Search This Site</label>
                                <input id="id-search-field" name="q" type="search" role="textbox" class="search-field" placeholder="Search" value="" tabindex="1">

                                <button type="submit" name="submit" id="submit" class="search-button" title="Submit this Search" tabindex="3">
                                    GO
                                </button>

                                
                                <!--[if IE]><input type="text" style="display: none;" disabled="disabled" size="1" tabindex="4"><![endif]-->

                            </fieldset>
                        </form><span class="breaker"></span><div class="adjust-font-size" aria-hidden="true">
                            <ul class="navigation menu" aria-label="Adjust Text Size on Page">
                                <li class="tier-1 last" aria-haspopup="true">
                                    <a href="#" class="action-trigger"><strong><small>A</small> A</strong></a>
                                    <ul class="subnav menu">
                                        <li class="tier-2 element-1" role="treeitem"><a class="text-shrink" title="Make Text Smaller" href="javascript:;">Smaller</a></li>
                                        <li class="tier-2 element-2" role="treeitem"><a class="text-grow" title="Make Text Larger" href="javascript:;">Larger</a></li>
                                        <li class="tier-2 element-3" role="treeitem"><a class="text-reset" title="Reset any font size changes I have made" href="javascript:;">Reset</a></li>
                                    </ul>
                                </li>
                            </ul>
                        </div><div class="winkwink-nudgenudge">
                            <ul class="navigation menu" aria-label="Social Media Navigation">
                                <li class="tier-1 last" aria-haspopup="true">
                                    <a href="#" class="action-trigger">Socialize</a>
                                    <ul class="subnav menu">
                                        <li class="tier-2 element-1" role="treeitem"><a href="https://www.linkedin.com/company/python-software-foundation/"><i aria-hidden="true" class="fa fa-linkedin-square"></i>LinkedIn</a></li>
                                        <li class="tier-2 element-2" role="treeitem"><a href="https://fosstodon.org/@ThePSF"><span aria-hidden="true" class="icon-mastodon"></span>Mastodon</a></li>
                                        <li class="tier-2 element-3" role="treeitem"><a href="/community/irc/"><span aria-hidden="true" class="icon-freenode"></span>Chat on IRC</a></li>
                                        <li class="tier-2 element-4" role="treeitem"><a href="https://twitter.com/ThePSF"><span aria-hidden="true" class="icon-twitter"></span>Twitter</a></li>
                                    </ul>
                                </li>
                            </ul>
                        </div>
                        <span data-html-include="/authenticated"></span>
                    </div><!-- end options-bar -->
                </div>

                <nav id="mainnav" class="psf-navigation main-navigation do-not-print" role="navigation">
                    


<ul class="navigation menu" role="menubar" aria-label="Main Navigation">
  
    
    
    <li id="about" class="tier-1 element-1  " aria-haspopup="true">
        <a href="/psf/about/" title="" class="">About</a>
        
            

<ul class="subnav menu" role="menu" aria-hidden="true">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/psf/mission/" title="">Mission Statement</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="https://www.python.org/psf/board/" title="">Board of Directors &amp; Officers</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="https://www.python.org/psf/records/staff/" title="">PSF Staff</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="/psf/annual-report/2021/" title="">Annual Impact Report</a></li>
    
        <li class="tier-2 element-5" role="treeitem"><a href="/psf/fiscal-sponsorees/" title="">Fiscal Sponsorees</a></li>
    
        <li class="tier-2 element-6" role="treeitem"><a href="/psf/records/" title="">Public Records</a></li>
    
        <li class="tier-2 element-7" role="treeitem"><a href="https://www.python.org/psf/about/legal-and-policies/" title="">Legal &amp; Policies</a></li>
    
        <li class="tier-2 element-8" role="treeitem"><a href="https://www.python.org/psf/faq/" title="">PSF FAQ</a></li>
    
</ul>

        
    </li>
    
    
    
    <li id="sponsorship" class="tier-1 element-2  " aria-haspopup="true">
        <a href="/psf/sponsorship/" title="" class="">Sponsorship</a>
        
            

<ul class="subnav menu" role="menu" aria-hidden="true">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/psf/sponsors/" title="">PSF Sponsors</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="/sponsors/application/" title="">Apply to Sponsor</a></li>
    
</ul>

        
    </li>
    
    
    
    <li id="membership" class="tier-1 element-3  " aria-haspopup="true">
        <a href="https://www.python.org/psf/membership/" title="" class="">Membership</a>
        
            

<ul class="subnav menu" role="menu" aria-hidden="true">
    
        <li class="tier-2 element-1" role="treeitem"><a href="https://www.python.org/psf/membership/" title="">Sign up as a Member of the PSF!</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="/psf/membership-faq" title="">Membership FAQ</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="/nominations/elections/" title="">PSF Elections</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="/psf/fellows-roster" title="">Nominate a Fellow &amp; Fellows Roster</a></li>
    
</ul>

        
    </li>
    
    
    
    <li id="donate" class="tier-1 element-4  " aria-haspopup="true">
        <a href="/psf/donations/" title="" class="">Donate</a>
        
            

<ul class="subnav menu" role="menu" aria-hidden="true">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/psf/donations/" title="">Donate to the PSF</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="https://www.python.org/psf/membership/supporting/" title="">Become a Supporting Member of the PSF</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="https://www.python.org/psf/donations/matching-gifts/" title="">PSF Matching Donations</a></li>
    
</ul>

        
    </li>
    
    
    
    <li id="volunteer" class="tier-1 element-5  " aria-haspopup="true">
        <a href="/psf/volunteer/" title="" class="">Volunteer</a>
        
            

<ul class="subnav menu" role="menu" aria-hidden="true">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/psf/volunteer/psf" title="">Volunteer for the PSF</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="https://www.python.org/psf/workgroups/" title="">PSF Work Groups</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="/psf/volunteer/pycon/" title="">Volunteer for PyCon US</a></li>
    
</ul>

        
    </li>
    
    
    
    <li id="grants" class="tier-1 element-6  " aria-haspopup="true">
        <a href="/psf/grants/" title="" class="">Grants</a>
        
            

<ul class="subnav menu" role="menu" aria-hidden="true">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/psf/grants/" title="">Grants program</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="/psf/grants/faq/" title="">Grants Program FAQ</a></li>
    
</ul>

        
    </li>
    
    
    
    <li id="pycon-us" class="tier-1 element-7  " aria-haspopup="true">
        <a href="http://us.pycon.org" title="" class="">PyCon US</a>
        
    </li>
    
    
    
    <li id="news-community" class="tier-1 element-8  last" aria-haspopup="true">
        <a href="https://www.python.org/psf/news-and-community" title="" class="">News &amp; Community</a>
        
            

<ul class="subnav menu" role="menu" aria-hidden="true">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/psf/newsletter/" title="">Subscribe to the Newsletter</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="http://pyfound.blogspot.com/" title="">PSF Blog</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="/psf/conduct/" title="">Python Community Code of Conduct</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="/community/awards/" title="">Community Awards</a></li>
    
        <li class="tier-2 element-5" role="treeitem"><a href="https://discuss.python.org/" title="">Discourse</a></li>
    
</ul>

        
    </li>
    
    
  
</ul>


                </nav>

                <div class="header-banner do-not-print"> <!-- for optional "do-not-print" class -->
                    
                <div class="welcome-to-the-foundation">
                    <h1 class="call-to-action">The Python Software Foundation is an organization devoted to advancing open source technology related to the Python programming language. </h1>

                </div>

                </div>

                
                

             </div><!-- end .container -->
        </header>

        <div id="content" class="content-wrapper">
            <!-- Main Content Column -->
            <div class="container">

                <section class="main-content " role="main">

                    
                    

                    

                    
                

                <div class="row">
                    <div class="psf-widget0">
                        <div style="text-align: center; padding-bottom: 1em;">
    <h1>We support the Python Community through...</h1>
</div>
<div style="text-align: center;">

  <style>
  .psf-landing-hero {
    width: 75%;
  }
  @media (min-width: 58.75em) {
    .psf-landing-hero {
      width: 33%;
    }
  }
  </style>

  <div style="vertical-align: top; height: 100%; display: inline-block; margin: auto;" class="psf-landing-hero">
    <div>
      <h1 style="text-align: center; color: #666666;">
        Grants
      </h1>

      <div style="width: 33%; display: block; margin: auto;">
        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 224 224"><g fill="none" fill-rule="nonzero" stroke="none" stroke-width="1" stroke-linecap="butt" stroke-linejoin="miter" stroke-miterlimit="10" stroke-dasharray="" stroke-dashoffset="0" font-family="none" font-weight="none" font-size="none" text-anchor="none" style="mix-blend-mode: normal"><path d="M0,224v-224h224v224z" fill="none"></path><g fill="#3776ab"><path d="M116.48,13.44c-29.29692,0 -53.16774,23.59171 -53.7075,52.7625c-0.14728,0.65094 -0.14728,1.32656 0,1.9775c0.53046,29.17891 24.40468,52.78 53.7075,52.78c15.21701,0 29.00993,-6.35713 38.78875,-16.54625c9.05272,-9.42971 14.66218,-22.20012 14.91875,-36.225c0.14596,-0.64813 0.14596,-1.32062 0,-1.96875c-0.53046,-29.17891 -24.40468,-52.78 -53.7075,-52.78zM116.48,22.4c1.76017,0 3.58592,0.72909 5.67,2.66875c2.08408,1.93966 4.24065,5.07512 6.09,9.14375c0.84155,1.85142 1.61174,3.90498 2.31,6.1075h-28.14c0.69826,-2.20252 1.46845,-4.25608 2.31,-6.1075c1.84935,-4.06863 4.00592,-7.20409 6.09,-9.14375c2.08408,-1.93965 3.90983,-2.66875 5.67,-2.66875zM98.95375,25.9525c-0.8432,1.43758 -1.6537,2.93286 -2.38875,4.55c-1.34817,2.966 -2.45126,6.31467 -3.43,9.8175h-12.50375c4.70535,-6.26868 11.00723,-11.26446 18.3225,-14.3675zM134.00625,25.9525c7.31527,3.10304 13.61715,8.09882 18.3225,14.3675h-12.50375c-0.97874,-3.50283 -2.08184,-6.8515 -3.43,-9.8175c-0.73505,-1.61714 -1.54555,-3.11242 -2.38875,-4.55zM75.48625,49.28h15.67125c-0.72354,4.28502 -1.26983,8.73745 -1.4525,13.44h-17.80625c0.46998,-4.75438 1.75394,-9.24482 3.5875,-13.44zM100.24875,49.28h32.4625c0.79037,4.2064 1.37648,8.67934 1.58375,13.44h-35.63c0.20727,-4.76066 0.79338,-9.2336 1.58375,-13.44zM141.8025,49.28h15.67125c1.83356,4.19518 3.11752,8.68562 3.5875,13.44h-17.80625c-0.18267,-4.70255 -0.72895,-9.15498 -1.4525,-13.44zM71.89875,71.68h17.80625c0.18267,4.70255 0.72895,9.15498 1.4525,13.44h-15.67125c-1.83356,-4.19518 -3.11752,-8.68562 -3.5875,-13.44zM98.665,71.68h35.63c-0.20727,4.76066 -0.79338,9.2336 -1.58375,13.44h-32.4625c-0.79037,-4.2064 -1.37648,-8.67934 -1.58375,-13.44zM143.255,71.68h17.80625c-0.47048,4.747 -1.70993,9.2527 -3.54375,13.44h-15.715c0.72354,-4.28502 1.26983,-8.73745 1.4525,-13.44zM80.63125,94.08h12.50375c0.97874,3.50283 2.08184,6.85151 3.43,9.8175c0.73505,1.61714 1.54555,3.11242 2.38875,4.55c-7.31527,-3.10304 -13.61715,-8.09882 -18.3225,-14.3675zM102.41,94.08h28.14c-0.69826,2.20252 -1.46845,4.25608 -2.31,6.1075c-1.84935,4.06863 -4.00592,7.2041 -6.09,9.14375c-2.08408,1.93966 -3.90983,2.66875 -5.67,2.66875c-1.76017,0 -3.58592,-0.72909 -5.67,-2.66875c-2.08408,-1.93966 -4.24065,-5.07512 -6.09,-9.14375c-0.84155,-1.85142 -1.61174,-3.90498 -2.31,-6.1075zM139.825,94.08h12.4425c-1.08366,1.43873 -2.21909,2.83221 -3.465,4.13c-4.158,4.33246 -9.17293,7.81357 -14.77,10.2025c0.8348,-1.42661 1.63391,-2.91206 2.3625,-4.515c1.34817,-2.96599 2.45126,-6.31467 3.43,-9.8175zM60.3225,116.48c-12.7094,0 -18.48088,3.07698 -24.84125,5.59125c-0.00292,0 -0.00583,0 -0.00875,0c-12.12649,4.80536 -32.935,14.81374 -32.935,14.81375c-1.44473,0.6937 -2.40951,2.10559 -2.5308,3.70364c-0.12129,1.59805 0.61935,3.13937 1.94283,4.04318c1.32348,0.90381 3.02865,1.03273 4.47298,0.33818c0,0 20.9356,-10.04528 32.34875,-14.56875c6.99001,-2.76317 10.14928,-4.96125 21.55125,-4.96125c6.184,0 10.85028,0.78355 14.4725,1.9425c5.61571,1.79592 8.82764,4.42464 11.62,7.25375c2.735,2.77173 4.85888,5.97783 8.70625,8.28625c3.69808,2.21773 9.41964,4.03351 15.96,5.69625c0.67634,0.37778 1.43907,0.57374 2.21375,0.56875h0.00875c7.35418,1.77907 15.13585,3.1325 21.09625,3.1325c5.23595,0 8.93513,1.00419 10.9025,2.24c1.96737,1.23581 2.5375,2.25556 2.5375,4.48c0,2.60772 -0.60019,3.49833 -2.56375,4.66375c-1.96355,1.16541 -5.72173,2.05625 -10.87625,2.05625h-25.9875c-10.97027,0 -26.53875,-4.305 -26.53875,-4.305c-1.55588,-0.49849 -3.25976,-0.11056 -4.44649,1.01235c-1.18673,1.12291 -1.66815,2.80277 -1.25634,4.3838c0.41182,1.58103 1.65158,2.81257 3.23532,3.21385c0,0 15.82036,4.655 29.00625,4.655h25.9875c6.0634,0 11.26053,-0.81947 15.4525,-3.3075c1.26009,-0.7479 2.36907,-1.71618 3.33375,-2.8175c0.3368,-0.12732 0.65703,-0.29478 0.95375,-0.49875l40.285,-27.09875h0.00875c6.98656,-4.14485 11.80419,-5.32218 14.67375,-5.2675c2.87057,0.0547 3.95735,0.96375 4.87375,2.16125c1.32847,1.73766 1.43267,2.65953 0.56875,4.7075c-0.86392,2.04797 -3.33329,5.00335 -7.65625,8.0675c-5.37909,3.81665 -64.57429,43.1368 -71.53125,47.1625c-5.14811,2.98354 -9.29868,6.16017 -14.04375,7.5075c-4.74343,1.34687 -10.35463,1.33162 -19.53,-3.1325h-0.00875c-6.12825,-2.98543 -32.01457,-16.50441 -40.41625,-20.8425c-4.64278,-2.39961 -8.55702,-3.72529 -12.55625,-3.5c-3.99923,0.2253 -7.38618,1.96978 -10.94625,4.24375c-0.01171,0.00869 -0.02338,0.01744 -0.035,0.02625l-12.08375,7.88375c-1.3616,0.86485 -2.15322,2.39486 -2.07262,4.0059c0.0806,1.61104 1.02097,3.05439 2.46209,3.77903c1.44112,0.72463 3.16053,0.61868 4.50177,-0.27742l12.0925,-7.88375c3.08674,-1.96644 4.91276,-2.73184 6.58875,-2.82625c1.68702,-0.09502 3.93711,0.44428 7.93625,2.51125c8.3252,4.2986 33.87369,17.6493 40.60875,20.93c10.58028,5.14982 19.0887,5.63776 25.90875,3.70125c6.82005,-1.93651 11.68373,-5.82448 16.0825,-8.37375c9.33231,-5.40022 65.4787,-42.8238 72.2225,-47.60875v0.00875c5.13879,-3.64241 8.85302,-7.45645 10.7275,-11.9c1.87448,-4.44355 1.27055,-9.7388 -1.70625,-13.6325c-2.34055,-3.0585 -6.52142,-5.57777 -11.82125,-5.67875c-3.74798,-0.07141 -8.23163,1.3453 -13.16875,3.56125c-0.18664,-0.8961 0.2488,-1.88508 -0.14875,-2.7475c-1.52303,-3.30396 -4.91738,-5.6317 -8.7325,-6.3875c-0.00292,0 -0.00584,0 -0.00875,0c-5.00478,-0.98937 -10.67268,0.55237 -16.28375,3.1325c-0.39953,-1.21634 -0.7042,-2.49139 -1.51375,-3.45625c-2.40254,-2.86344 -5.85838,-3.88073 -9.07375,-4.13c-6.43074,-0.49855 -13.12005,1.60113 -17.955,4.48c-6.7105,3.99342 -26.76326,16.68538 -29.68,18.5325c-5.98834,-1.61393 -11.38578,-3.5647 -12.985,-4.52375c-1.52863,-0.91718 -3.67055,-3.57414 -6.93875,-6.88625c-3.33627,-3.38017 -8.07187,-7.19496 -15.26,-9.49375c-4.6389,-1.48425 -10.26011,-2.37125 -17.2025,-2.37125zM159.6525,125.67625c1.79047,0.13879 2.64677,0.65641 2.89625,0.95375c0.18984,0.22624 0.48694,0.64835 0.35,1.96875l-22.12,15.25125c-2.00419,-0.29589 -4.09799,-0.49 -6.37875,-0.49c-2.37086,0 -5.61518,-0.35596 -9.1525,-0.91875c7.79483,-4.9168 17.45561,-10.99125 21.7175,-13.5275c3.00504,-1.78929 9.10656,-3.51512 12.6875,-3.2375zM182.49875,129.91125c1.18486,-0.10938 2.20698,-0.08356 2.98375,0.07c1.86104,0.3687 2.0404,0.71445 2.33625,1.35625c0.21981,0.47682 0.28722,1.67707 0.13125,3.22l-31.56125,21.2275c-0.78263,-3.23094 -2.69348,-6.11559 -5.36375,-8.12l18.48875,-12.74c0.15899,-0.10682 0.31097,-0.22373 0.455,-0.35c4.2657,-2.8586 9.08681,-4.34588 12.53,-4.66375z"></path></g></g></svg>
      </div>

      <p style="padding: 1em;">
          In 2022 we awarded $215,000 USD for over 138 grants to recipients in 42 different countries.
      </p>
    </div>
  </div>


  <div style="vertical-align: top; height: 100%; display: inline-block; margin: auto;" class="psf-landing-hero">
    <div>
      <h1 style="text-align: center; color: #666666;">
        Infrastructure
      </h1>

      <div style="width: 33%; display: block; margin: auto;">
        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 224 224"><g fill="none" fill-rule="nonzero" stroke="none" stroke-width="1" stroke-linecap="butt" stroke-linejoin="miter" stroke-miterlimit="10" stroke-dasharray="" stroke-dashoffset="0" font-family="none" font-weight="none" font-size="none" text-anchor="none" style="mix-blend-mode: normal"><path d="M0,224v-224h224v224z" fill="none"></path><g fill="#3776ab"><g id="surface1"><path d="M0,35.84v8.96h13.44v13.44h-13.44v8.96h224v-8.96h-13.44v-13.44h13.44v-8.96zM22.4,44.8h22.4v13.44h-22.4zM53.76,44.8h22.4v13.44h-22.4zM85.12,44.8h22.4v13.44h-22.4zM116.48,44.8h22.4v13.44h-22.4zM147.84,44.8h22.4v13.44h-22.4zM179.2,44.8h22.4v13.44h-22.4zM0,76.16v8.96h4.48c7.42,0 13.44,6.02 13.44,13.44v62.02c-1.295,0.1225 -2.5725,0.28 -3.64,0.28c-2.7125,0 -5.145,-0.42 -7.98,-0.42c-1.61,-0.0175 -3.115,0.8225 -3.9375,2.2225c-0.805,1.4 -0.805,3.115 0,4.515c0.8225,1.4 2.3275,2.24 3.9375,2.2225c1.645,0 4.41,0.42 7.98,0.42c6.7375,0 16.52,-2.0125 24.64,-7.28c8.1375,5.3375 17.8675,7.28 24.64,7.28c6.7375,0 16.52,-2.0125 24.64,-7.28c8.1375,5.3375 17.8675,7.28 24.64,7.28c6.7375,0 16.52,-2.0125 24.64,-7.28c8.1375,5.3375 17.8675,7.28 24.64,7.28c6.7375,0 16.52,-2.0125 24.64,-7.28c8.1375,5.3375 17.8675,7.28 24.64,7.28c3.57,0 6.895,-0.525 9.8,-1.68c2.3275,-0.9275 3.4475,-3.5525 2.52,-5.88c-0.9275,-2.3275 -3.5525,-3.4475 -5.88,-2.52c-1.575,0.63 -3.7275,1.12 -6.44,1.12c-1.5575,0 -3.36,-0.14 -5.32,-0.42v-61.88c0,-7.42 6.02,-13.44 13.44,-13.44h4.48v-8.96h-4.48c-12.3025,0 -22.4,10.0975 -22.4,22.4v59.78c-2.765,-0.9975 -5.3375,-2.38 -7.42,-4.06c-1.6625,-1.3825 -4.0775,-1.3825 -5.74,0c-2.52,2.0475 -5.81,3.57 -9.24,4.62v-60.34c0,-12.3025 -10.0975,-22.4 -22.4,-22.4h-80.64c-12.3025,0 -22.4,10.0975 -22.4,22.4v59.78c-2.765,-0.9975 -5.3375,-2.38 -7.42,-4.06c-0.805,-0.7175 -1.855,-1.12 -2.94,-1.12c-1.0325,0.035 -2.03,0.4375 -2.8,1.12c-2.52,2.0475 -5.81,3.57 -9.24,4.62v-60.34c0,-12.3025 -10.0975,-22.4 -22.4,-22.4zM71.68,85.12h80.64c7.42,0 13.44,6.02 13.44,13.44v62.02c-1.295,0.1225 -2.5725,0.28 -3.64,0.28c-5.915,0 -15.89,-1.855 -21.7,-6.58c-1.6625,-1.3825 -4.0775,-1.3825 -5.74,0c-5.81,4.725 -15.925,6.58 -21.84,6.58c-5.915,0 -15.89,-1.855 -21.7,-6.58c-1.6625,-1.3825 -4.0775,-1.3825 -5.74,0c-5.81,4.725 -15.925,6.58 -21.84,6.58c-1.5575,0 -3.36,-0.14 -5.32,-0.42v-61.88c0,-7.42 6.02,-13.44 13.44,-13.44zM38.5,171.08c-0.8925,0.1225 -1.715,0.525 -2.38,1.12c-5.81,4.725 -15.925,6.58 -21.84,6.58c-2.7125,0 -5.145,-0.42 -7.98,-0.42c-1.61,-0.0175 -3.115,0.8225 -3.9375,2.2225c-0.805,1.4 -0.805,3.115 0,4.515c0.8225,1.4 2.3275,2.24 3.9375,2.2225c1.645,0 4.41,0.42 7.98,0.42c6.7375,0 16.52,-2.0125 24.64,-7.28c8.1375,5.3375 17.8675,7.28 24.64,7.28c6.7375,0 16.52,-2.0125 24.64,-7.28c8.1375,5.3375 17.8675,7.28 24.64,7.28c6.7375,0 16.52,-2.0125 24.64,-7.28c8.1375,5.3375 17.8675,7.28 24.64,7.28c6.7375,0 16.52,-2.0125 24.64,-7.28c8.1375,5.3375 17.8675,7.28 24.64,7.28c3.57,0 6.895,-0.525 9.8,-1.68c2.3275,-0.9275 3.4475,-3.5525 2.52,-5.88c-0.9275,-2.3275 -3.5525,-3.4475 -5.88,-2.52c-1.575,0.63 -3.7275,1.12 -6.44,1.12c-5.915,0 -15.89,-1.855 -21.7,-6.58c-1.6625,-1.3825 -4.0775,-1.3825 -5.74,0c-5.81,4.725 -15.925,6.58 -21.84,6.58c-5.915,0 -15.89,-1.855 -21.7,-6.58c-1.6625,-1.3825 -4.0775,-1.3825 -5.74,0c-5.81,4.725 -15.925,6.58 -21.84,6.58c-5.915,0 -15.89,-1.855 -21.7,-6.58c-1.6625,-1.3825 -4.0775,-1.3825 -5.74,0c-5.81,4.725 -15.925,6.58 -21.84,6.58c-5.915,0 -15.89,-1.855 -21.7,-6.58c-0.805,-0.7175 -1.855,-1.12 -2.94,-1.12c-0.14,0 -0.28,0 -0.42,0z"></path></g></g></g></svg>
      </div>

      <p style="padding: 1em;">
          We support and maintain <a href="https://python.org">python.org</a>,
          <a href="https://pypi.org">The Python Package Index</a>,
          <a href="https://docs.python.org">Python Documentation</a>,
          and many other services the Python Community relies on.
      </p>
    </div>
  </div>

  <div style="vertical-align: top; height: 100%; display: inline-block; margin: auto;" class="psf-landing-hero">
      <h1 style="text-align: center; color: #666666;">
        PyCon US
      </h1>

      <div style="width: 33%; display: block; margin: auto;">
        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 224 224"><g fill="none" fill-rule="nonzero" stroke="none" stroke-width="1" stroke-linecap="butt" stroke-linejoin="miter" stroke-miterlimit="10" stroke-dasharray="" stroke-dashoffset="0" font-family="none" font-weight="none" font-size="none" text-anchor="none" style="mix-blend-mode: normal"><path d="M0,224v-224h224v224z" fill="none"></path><g fill="#3776ab"><g id="surface1"><path d="M76.16,8.96c-12.3725,0 -22.4,10.0275 -22.4,22.4c0,12.3725 10.0275,22.4 22.4,22.4c12.3725,0 22.4,-10.0275 22.4,-22.4c0,-12.3725 -10.0275,-22.4 -22.4,-22.4zM147,8.96c-12.3725,0 -22.4,10.0275 -22.4,22.4c0,12.3725 10.0275,22.4 22.4,22.4c12.3725,0 22.4,-10.0275 22.4,-22.4c0,-12.3725 -10.0275,-22.4 -22.4,-22.4zM76.16,58.24c-4.9875,0 -9.6075,1.155 -13.72,3.22c8.4,6.5625 13.86,16.8175 13.86,28.28c0,11.2175 -5.1975,21.28 -13.3,27.86c6.5275,3.395 12.2325,8.1025 16.66,14c-2.135,-4.585 -3.36,-9.6075 -3.36,-14.98c0,-17.7975 13.0725,-32.655 30.1,-35.42c-3.605,-13.335 -15.6625,-22.96 -30.24,-22.96zM147,58.24c-14.5075,0 -26.5825,9.555 -30.24,22.82c17.5525,2.31 31.22,17.3775 31.22,35.56c0,5.0225 -1.0675,9.8 -2.94,14.14c4.375,-5.53 9.8525,-10.08 16.1,-13.3c-8.05,-6.58 -13.16,-16.5375 -13.16,-27.72c0,-11.2525 5.1625,-21.28 13.3,-27.86c-4.2875,-2.2925 -9.03,-3.64 -14.28,-3.64zM40.46,62.86c-14.84,0 -26.88,12.04 -26.88,26.88c0,14.84 12.04,26.88 26.88,26.88c14.84,0 26.88,-12.04 26.88,-26.88c0,-14.84 -12.04,-26.88 -26.88,-26.88zM183.82,62.86c-14.84,0 -26.88,12.04 -26.88,26.88c0,14.84 12.04,26.88 26.88,26.88c14.84,0 26.88,-12.04 26.88,-26.88c0,-14.84 -12.04,-26.88 -26.88,-26.88zM112.14,89.74c-14.84,0 -26.88,12.04 -26.88,26.88c0,14.84 12.04,26.88 26.88,26.88c14.84,0 26.88,-12.04 26.88,-26.88c0,-14.84 -12.04,-26.88 -26.88,-26.88zM40.32,120.96c-22.225,0 -40.32,18.0775 -40.32,40.32v15.68c0,1.4 0.6825,2.8 1.82,3.64c1.0325,0.7875 10.92,7.56 38.5,7.56c9.555,0 16.9925,-0.8575 22.68,-1.96c0.5775,-13.7725 6.7375,-26.11 16.38,-34.72c-4.375,-17.535 -20.195,-30.52 -39.06,-30.52zM183.68,120.96c-18.795,0 -34.615,12.9325 -39.06,30.38c9.7825,8.6275 16.1,21.105 16.66,35c5.6525,1.085 12.985,1.82 22.4,1.82c27.58,0 37.4675,-6.7725 38.5,-7.56c1.1375,-0.84 1.82,-2.2225 1.82,-3.64v-15.68c0,-22.2425 -18.0775,-40.32 -40.32,-40.32zM112.14,147.98c-22.225,0 -40.32,18.0775 -40.32,40.32v15.68c0,1.4175 0.6825,2.66 1.82,3.5c1.0325,0.7875 10.92,7.7 38.5,7.7c27.58,0 37.4675,-6.9125 38.5,-7.7c1.1375,-0.84 1.82,-2.1 1.82,-3.5v-15.68c0,-22.2425 -18.0775,-40.32 -40.32,-40.32z"></path></g></g></g></svg>
      </div>


      <p style="padding: 1em;">
          We produce and underwrite the
          <a href="https://us.pycon.org">PyCon US Conference</a>,
          the largest annual gathering for the Python community.
          Our sponsors’ support
          enabled us to award more than $270,000 USD in financial aid to 374 attendees for PyCon 2023.
      </p>
  </div>

<a rel="me" href="https://fosstodon.org/@ThePSF" style="display:none">Mastodon</a>
</div>
                    </div>
                </div>

                <div class="row">

                    <div class="small-widget psf-widget1">
                        <h2 class="widget-title">Become a Member</h2>
<p>Help the PSF promote, protect, and advance the Python programming language and community!</p>
<p><a class="button" href="/psf/membership-faq">Membership FAQ</a>
                    </div>

                    <div class="small-widget psf-widget2">
                        <h2 class="widget-title">Donate</h2>
<p>Assist the foundation's goals with a donation. The PSF is a recognized 501(c)(3) non-profit organization.</p>
<p><a class="button" href="/psf/donations/">How to Contribute</a></p>
                    </div>

                    <div class="small-widget psf-widget3">
                        <h2 class="widget-title">Volunteer</h2>
<p>Learn how you can help the PSF and the greater Python community!</p>
<p><a class="button" href="/psf/volunteer">How to Volunteer</a></p>
                    </div>

                    <div class="small-widget psf-widget4 last">
                        <h2 class="widget-title">Sponsors</h2>
                        <div id="sponsor-rotation" class="flex-slideshow">
                            <p>Without our sponsors we wouldn't be able to help the Python community grow and prosper.</p>
                        </div>
                        <p><a class="button" href="/psf/sponsorship/">Sponsorship Possibilities</a></p>
                    </div>

                </div>


                <div class="row">

                    <div class="medium-widget grants-widget">
                        <h2 class="widget-title">PSF Grants Program</h2>
<p>The Python Software Foundation welcomes grant proposals for projects related to the development of Python, Python-related technology, and educational resources.</p>
<p><a class="button" href="/psf/grants/">Proposal Guidelines, FAQ and Examples</a></p>

                    </div>

                    <div class="medium-widget news-wiki-widget last">

                        <div class="split-widget-wrapper shrubbery">
                            <h2 class="widget-title">PSF News </h2>
                            
                            
                            <ul class="menu">
                              
                              <li><a href="https://pyfound.blogspot.com/2024/03/announcing-pypi-support-specialist.html">Announcing a PyPI Support Specialist</a></li>
                              
                              <li><a href="https://pyfound.blogspot.com/2024/02/white-house-recommends-.html">White House recommends use of memory-safe languages like Python</a></li>
                              
                              <li><a href="https://pyfound.blogspot.com/2024/02/software-bill-of-materials-now-available-for-cpython.html">Software Bill-of-Materials documents are now available for CPython</a></li>
                              
                              <li><a href="https://pyfound.blogspot.com/2024/02/introducing-psf-grants-office-hours.html">Introducing PSF Grants Program Office Hours</a></li>
                              
                              <li><a href="https://pyfound.blogspot.com/2024/01/kicking-off-2024-strong.html">Kicking off 2024 strong, thanks to our community!</a></li>
                              
                              <li><a href="https://pyfound.blogspot.com/2024/01/announcing-python-software-foundation.html">Announcing Python Software Foundation Fellow Members for Q3 2023! 🎉</a></li>
                              
                              <li><a href="https://pyfound.blogspot.com/2024/01/announcing-deputy-developer-in.html">Announcing the Deputy Developer in Residence and the Supporting Developer in Residence</a></li>
                              
                              <li><a href="https://pyfound.blogspot.com/2024/01/CRA-update.html">EU’s Cyber Resilience Act Passes with Wins for Open Source</a></li>
                              
                              <li><a href="https://mailchi.mp/python/python-software-foundation-december-2023-newsletter">Python Software Foundation - December 2023 Newsletter</a></li>
                              
                              <li><a href="https://pyfound.blogspot.com/2023/12/announcing-hidden-figures-of-python-pypodcats.html">Announcing the Hidden Figures of Python Podcast!</a></li>
                              
                            </ul>
                            
                        </div>

                    </div>

                </div>



                </section>

                
                

                
                


            </div><!-- end .container -->
        </div><!-- end #content .content-wrapper -->

        <!-- Footer and social media list -->
        
        <footer id="site-map" class="main-footer" role="contentinfo">
            <div class="main-footer-links">
                <div class="container">

                    
                    <a id="back-to-top-1" class="jump-link" href="#python-network"><span aria-hidden="true" class="icon-arrow-up"><span>&#9650;</span></span> Back to Top</a>

                    

<ul class="sitemap navigation menu do-not-print" role="tree" id="container">
    
    <li class="tier-1 element-1">
        <a href="/about/" >About</a>
        
            

<ul class="subnav menu">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/about/apps/" title="">Applications</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="/about/quotes/" title="">Quotes</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="/about/gettingstarted/" title="">Getting Started</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="/about/help/" title="">Help</a></li>
    
        <li class="tier-2 element-5" role="treeitem"><a href="http://brochure.getpython.info/" title="">Python Brochure</a></li>
    
</ul>

        
    </li>
    
    <li class="tier-1 element-2">
        <a href="/downloads/" >Downloads</a>
        
            

<ul class="subnav menu">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/downloads/" title="">All releases</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="/downloads/source/" title="">Source code</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="/downloads/windows/" title="">Windows</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="/downloads/macos/" title="">macOS</a></li>
    
        <li class="tier-2 element-5" role="treeitem"><a href="/download/other/" title="">Other Platforms</a></li>
    
        <li class="tier-2 element-6" role="treeitem"><a href="https://docs.python.org/3/license.html" title="">License</a></li>
    
        <li class="tier-2 element-7" role="treeitem"><a href="/download/alternatives" title="">Alternative Implementations</a></li>
    
</ul>

        
    </li>
    
    <li class="tier-1 element-3">
        <a href="/doc/" >Documentation</a>
        
            

<ul class="subnav menu">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/doc/" title="">Docs</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="/doc/av" title="">Audio/Visual Talks</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="https://wiki.python.org/moin/BeginnersGuide" title="">Beginner&#39;s Guide</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="https://devguide.python.org/" title="">Developer&#39;s Guide</a></li>
    
        <li class="tier-2 element-5" role="treeitem"><a href="https://docs.python.org/faq/" title="">FAQ</a></li>
    
        <li class="tier-2 element-6" role="treeitem"><a href="http://wiki.python.org/moin/Languages" title="">Non-English Docs</a></li>
    
        <li class="tier-2 element-7" role="treeitem"><a href="https://peps.python.org" title="">PEP Index</a></li>
    
        <li class="tier-2 element-8" role="treeitem"><a href="https://wiki.python.org/moin/PythonBooks" title="">Python Books</a></li>
    
        <li class="tier-2 element-9" role="treeitem"><a href="/doc/essays/" title="">Python Essays</a></li>
    
</ul>

        
    </li>
    
    <li class="tier-1 element-4">
        <a href="/community/" >Community</a>
        
            

<ul class="subnav menu">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/community/diversity/" title="">Diversity</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="/community/lists/" title="">Mailing Lists</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="/community/irc/" title="">IRC</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="/community/forums/" title="">Forums</a></li>
    
        <li class="tier-2 element-5" role="treeitem"><a href="/psf/annual-report/2021/" title="">PSF Annual Impact Report</a></li>
    
        <li class="tier-2 element-6" role="treeitem"><a href="/community/workshops/" title="">Python Conferences</a></li>
    
        <li class="tier-2 element-7" role="treeitem"><a href="/community/sigs/" title="">Special Interest Groups</a></li>
    
        <li class="tier-2 element-8" role="treeitem"><a href="/community/logos/" title="">Python Logo</a></li>
    
        <li class="tier-2 element-9" role="treeitem"><a href="https://wiki.python.org/moin/" title="">Python Wiki</a></li>
    
        <li class="tier-2 element-10" role="treeitem"><a href="/psf/conduct/" title="">Code of Conduct</a></li>
    
        <li class="tier-2 element-11" role="treeitem"><a href="/community/awards" title="">Community Awards</a></li>
    
        <li class="tier-2 element-12" role="treeitem"><a href="/psf/get-involved/" title="">Get Involved</a></li>
    
        <li class="tier-2 element-13" role="treeitem"><a href="/psf/community-stories/" title="">Shared Stories</a></li>
    
</ul>

        
    </li>
    
    <li class="tier-1 element-5">
        <a href="/success-stories/" title="success-stories">Success Stories</a>
        
            

<ul class="subnav menu">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/success-stories/category/arts/" title="">Arts</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="/success-stories/category/business/" title="">Business</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="/success-stories/category/education/" title="">Education</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="/success-stories/category/engineering/" title="">Engineering</a></li>
    
        <li class="tier-2 element-5" role="treeitem"><a href="/success-stories/category/government/" title="">Government</a></li>
    
        <li class="tier-2 element-6" role="treeitem"><a href="/success-stories/category/scientific/" title="">Scientific</a></li>
    
        <li class="tier-2 element-7" role="treeitem"><a href="/success-stories/category/software-development/" title="">Software Development</a></li>
    
</ul>

        
    </li>
    
    <li class="tier-1 element-6">
        <a href="/blogs/" title="News from around the Python world">News</a>
        
            

<ul class="subnav menu">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/blogs/" title="Python Insider Blog Posts">Python News</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="/psf/newsletter/" title="Python Software Foundation Newsletter">PSF Newsletter</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="http://pyfound.blogspot.com/" title="PSF Blog">PSF News</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="http://pycon.blogspot.com/" title="PyCon Blog">PyCon US News</a></li>
    
        <li class="tier-2 element-5" role="treeitem"><a href="http://planetpython.org/" title="Planet Python">News from the Community</a></li>
    
</ul>

        
    </li>
    
    <li class="tier-1 element-7">
        <a href="/events/" >Events</a>
        
            

<ul class="subnav menu">
    
        <li class="tier-2 element-1" role="treeitem"><a href="/events/python-events/" title="">Python Events</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="/events/python-user-group/" title="">User Group Events</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="/events/python-events/past/" title="">Python Events Archive</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="/events/python-user-group/past/" title="">User Group Events Archive</a></li>
    
        <li class="tier-2 element-5" role="treeitem"><a href="https://wiki.python.org/moin/PythonEventsCalendar#Submitting_an_Event" title="">Submit an Event</a></li>
    
</ul>

        
    </li>
    
    <li class="tier-1 element-8">
        <a href="/dev/" >Contributing</a>
        
            

<ul class="subnav menu">
    
        <li class="tier-2 element-1" role="treeitem"><a href="https://devguide.python.org/" title="">Developer&#39;s Guide</a></li>
    
        <li class="tier-2 element-2" role="treeitem"><a href="https://github.com/python/cpython/issues" title="">Issue Tracker</a></li>
    
        <li class="tier-2 element-3" role="treeitem"><a href="https://mail.python.org/mailman/listinfo/python-dev" title="">python-dev list</a></li>
    
        <li class="tier-2 element-4" role="treeitem"><a href="/dev/core-mentorship/" title="">Core Mentorship</a></li>
    
        <li class="tier-2 element-5" role="treeitem"><a href="/dev/security/" title="">Report a Security Issue</a></li>
    
</ul>

        
    </li>
    
</ul>


                    <a id="back-to-top-2" class="jump-link" href="#python-network"><span aria-hidden="true" class="icon-arrow-up"><span>&#9650;</span></span> Back to Top</a>
                    

                </div><!-- end .container -->
            </div> <!-- end .main-footer-links -->

            <div class="site-base">
                <div class="container">
                    
                    <ul class="footer-links navigation menu do-not-print" role="tree">
                        <li class="tier-1 element-1"><a href="/about/help/">Help &amp; <span class="say-no-more">General</span> Contact</a></li>
                        <li class="tier-1 element-2"><a href="/community/diversity/">Diversity <span class="say-no-more">Initiatives</span></a></li>
                        <li class="tier-1 element-3"><a href="https://github.com/python/pythondotorg/issues">Submit Website Bug</a></li>
                        <li class="tier-1 element-4">
                            <a href="https://status.python.org/">Status <span class="python-status-indicator-default" id="python-status-indicator"></span></a>
                        </li>
                    </ul>

                    <div class="copyright">
                        <p><small>
                            <span class="pre">Copyright &copy;2001-2024.</span>
                            &nbsp;<span class="pre"><a href="/psf-landing/">Python Software Foundation</a></span>
                            &nbsp;<span class="pre"><a href="/about/legal/">Legal Statements</a></span>
                            &nbsp;<span class="pre"><a href="/privacy/">Privacy Policy</a></span>
                            <!--&nbsp;<span class="pre"><a href="/psf/community-infrastructure">Powered by PSF Community Infrastructure</a></span>-->
                        </small></p>
                    </div>

                </div><!-- end .container -->
            </div><!-- end .site-base -->

        </footer>
        

    </div><!-- end #touchnav-wrapper -->

    
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="/static/js/libs/jquery-1.8.2.min.js"><\/script>')</script>
    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <script>window.jQuery || document.write('<script src="/static/js/libs/jquery-ui-1.12.1.min.js"><\/script>')</script>

    <script src="/static/js/libs/masonry.pkgd.min.js"></script>
    <script src="/static/js/libs/html-includes.js"></script>

    <script type="text/javascript" src="/static/js/main-min.f5487accf7ed.js" charset="utf-8"></script>
    

    <!--[if lte IE 7]>
    <script type="text/javascript" src="/static/js/plugins/IE8-min.8af6e26c7a3b.js" charset="utf-8"></script>
    
    
    <![endif]-->

    <!--[if lte IE 8]>
    <script type="text/javascript" src="/static/js/plugins/getComputedStyle-min.d41d8cd98f00.js" charset="utf-8"></script>
    
    
    <![endif]-->

    

    
    

</body>
</html>
